<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="counter"
            type="Integer" />

        <variable
            name="title"
            type="String" />

        <variable
            name="description"
            type="String" />

        <variable
            name="currency"
            type="String" />

        <variable
            name="imageUrl"
            type="String" />

        <variable
            name="price"
            type="double" />

        <variable
            name="onViewPreviewClick"
            type="android.view.View.OnClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/glVert30"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent=".3" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/glVert35"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent=".35" />

        <ImageView
            android:id="@+id/ivImage"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:scaleType="centerCrop"
            app:layout_constraintDimensionRatio="2:3"
            app:layout_constraintEnd_toEndOf="@id/glVert30"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:load="@{imageUrl}" />

        <TextView
            android:id="@+id/tvTitle"
            style="?attr/textAppearanceHeadline3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@{String.format(`#%s: %s`, counter, title)}"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="@id/glVert35"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tvPrice"
            style="?attr/textAppearanceSubtitle2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/black"
            app:itemCurrency="@{currency}"
            app:itemPrice="@{price}"
            app:layout_constraintStart_toStartOf="@id/tvTitle"
            app:layout_constraintTop_toBottomOf="@id/tvTitle" />

        <TextView
            android:id="@+id/description"
            style="?textAppearanceBody2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="?selectableItemBackground"
            android:text="@{description}"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="@id/tvTitle"
            app:layout_constraintTop_toBottomOf="@id/tvPrice"
            app:maxLinesToggle="@{2}" />

        <com.google.android.material.button.MaterialButton
            style="@style/Widget.MaterialComponents.Button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/space_small"
            android:onClick="@{onViewPreviewClick}"
            android:text="@string/view_preview"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/description" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>